unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ShellAPI, TrialMenu, TrialSoftware, Menus, AboutSoftware, StdCtrls,
  SplashSoftware;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Saveas1: TMenuItem;
    Edit1: TMenuItem;
    Undo1: TMenuItem;
    N2: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    N3: TMenuItem;
    Selectall1: TMenuItem;
    Help1: TMenuItem;
    Help2: TMenuItem;
    N4: TMenuItem;
    About1: TMenuItem;
    TrialSoftware1: TTrialSoftware;
    TrialMenu1: TTrialMenu;
    AboutSoftware1: TAboutSoftware;
    Label1: TLabel;
    Memo1: TMemo;
    Label2: TLabel;
    Memo2: TMemo;
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button4: TButton;
    Button5: TButton;
    Label7: TLabel;
    SplashSoftware1: TSplashSoftware;
    GroupBox2: TGroupBox;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
     {TrialSoftware1.ActiveMultiLanguage := True;}  //If you want see MultiLanguage option of TTrialSoftware remove {} from this line. Now TrialSoftware dialog is in ITALIAN language.
     TrialSoftware1.MultiLanguage.FileLanguage := ExtractFileDir(Application.Exename) + '\Trial.txt';
     TrialSoftware1.Execute;
     TrialMenu1.CreateMenu;
     SplashSoftware1.Execute;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
     AboutSoftware1.Execute;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     TrialSoftware1.ShowWindow;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     // If you use this fuction you can make application with
     // limitate feature
     if not TrialSoftware1.Shareware then
        begin
             MessageDlg('You application is registered. This fuction is active now.', mtInformation, [mbOk], 0);
        end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     // Status property view status of program
     if TrialSoftware1.Status = stRegistered then
        begin
             Label6.Caption := 'Registered';
        end
     else if TrialSoftware1.Status = stUnregistered then
        begin
             Label6.Caption := 'Unregistered';
        end
     else if TrialSoftware1.Status = stExpired then
        begin
             Label6.Caption := 'Expired';
        end;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
     AboutSoftware1.Execute;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow,'open',PChar('http://utenti.tripod.it/martinsoft/index.htm'),nil,nil,SW_SHOWNORMAL);
end;

end.
